Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class DeploymentNotificationFilter

    java.lang.Object
      weblogic.management.DeploymentNotificationFilter

All Implemented Interfaces:
  Serializable, NotificationFilter

    public class DeploymentNotificationFilter

extends Object
implements NotificationFilter, Serializable

See Also:
  Serialized Form

Constructor Summary
`DeploymentNotificationFilter()` Constructs a convenience filter for DeploymentNotification's.
`DeploymentNotificationFilter(String targetName, String moduleName, boolean appFilter, boolean moduleFilter)` Constructs a convenience filter for DeploymentNotification's.

Method Summary
`boolean` | `isNotificationEnabled(Notification n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentNotificationFilter

    public DeploymentNotificationFilter()

  Constructs a convenience filter for DeploymentNotification's. These notifications are generated from ApplicationMBean objects as defined by JMX. This filter allows any DeploymentNotification to result in a callback to the listener, regardless of the deployment target, module name, or type of deployment notification: application or module.

  DeploymentNotifications are generated on the local ApplicationMBean and its parent version on the admin server.

### DeploymentNotificationFilter

    public DeploymentNotificationFilter(String targetName,
                                        String moduleName,
                                        boolean appFilter,
                                        boolean moduleFilter)

  Constructs a convenience filter for DeploymentNotification's. These notifications are generated from ApplicationMBean objects as defined by JMX. This filter allows any DeploymentNotification to result in a callback to the listener, based on the arguments.

  DeploymentNotifications are generated on the local ApplicationMBean and its parent version on the admin server.

  Parameters:
    `targetName` - if not null, the notification is only enabled if the associated target names match; ie if the deployment event occurred on the named server.
    `moduleName` - if not null, the notification is only enabled if the associated module names match; ie if the deployment event occurred to the named module.
    `appFilter` - if true, application level notifications are enabled.
    `moduleFilter` - if true, module level notifications are enabled.

Method Detail

### isNotificationEnabled

    public boolean isNotificationEnabled(Notification n)

  Specified by:
    `isNotificationEnabled` in interface `NotificationFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD